xenwatchdogd(8)

NAME
xenwatchdogd - Xen hypercall based watchdog daemon

SYNOPSIS
xenwatchdogd [ OPTIONS ] <TIMEOUT> [ <SLEEP> ]

DESCRIPTION
xenwatchdogd arms the Xen watchdog timer to TIMEOUT every SLEEP seconds. If the xenwatchdogd process dies or is delayed for more than TIMEOUT seconds, then Xen will take the on_watchdog action specified in the domain configuration (see xl.cfg(5)). If xenwatchdogd is running in dom0, the whole system will reboot.

OPTIONS

-h, --help
    Display a help message.

-F, --foreground
    Run in the foreground. The default behaviour is to daemonize.

-x, --safe-exit
    Disable watchdog on orderly exit. The default behaviour is to arm the watchdog to 300 seconds to allow time for the domain to shutdown. See also the SIGNALS section.

timeout
    The number of seconds to arm the Xen watchdog timer. This must be set to a minimum of two.

sleep
    The number of seconds to sleep in between calls to arm the Xen watchdog timer. This must be at least one second, and less than the timeout value. If not specified, it defaults to half the timeout value.

SIGNALS
SIGUSR1 Will cause the program to disarm the watchdog timer and exit, regardless of whether the --safe-exit option was passed.

AUTHOR
Citrix Ltd and other contributors.